Qt 5.6 | Qt Core | C++ Classes | QTimerEvent

Qt 5.6.2 Reference Documentation

# QTimerEvent Class

The QTimerEvent class contains parameters that describe a timer event. More...

Header: | #include <QTimerEvent>
qmake: | QT += core
Inherits: | QEvent

- List of all members, including inherited members

## Public Functions

| QTimerEvent(int timerId)
int | timerId() const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides single-shot timers.

The event handler QObject::timerEvent() receives timer events.

See also QTimer, QObject::timerEvent(), QObject::startTimer(), and QObject::killTimer().

## Member Function Documentation

### QTimerEvent::QTimerEvent(int timerId)

Constructs a timer event object with the timer identifier set to timerId.

### int QTimerEvent::timerId() const

Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().